Skip to main content
`Ctrl`+`K`

# PetscObjectComposedDataSetRealstar

attach `PetscReal` array data to a `PetscObject` that may be retrieved with `PetscObjectComposedDataGetRealstar()`

## Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectComposedDataSetRealstar(PetscObject obj, PetscInt id, PetscReal *data)

Not Collective

## Input Parameters

- obj - the object to which data is to be attached

- id - the identifier for the data

- data - the data to be attached

## Notes

The `data` identifier can be determined through a call to `PetscObjectComposedDataRegister()`

The length of the array accessed must be known, it is not available through this API.

## See Also

`PetscObjectComposedDataSetInt()`, `PetscObjectComposedDataSetReal()`, `PetscObjectComposedDataGetReal()`, `PetscObjectComposedDataSetIntstar()`, `PetscObjectComposedDataSetIntstar()`, `PetscObjectComposedDataGetInt()`, `PetscObject`, `PetscObjectCompose()`, `PetscObjectQuery()`, `PetscObjectComposedDataGetRealstar()`

## Level

developer

## Location

include/petsc/private/petscimpl.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages